EAPI=7
inherit go-module

DESCRIPTION="simple, secure and high performance open source messaging system"
HOMEPAGE="https://nats.io/"

EGO_PN="github.com/nats-io/nats-server/v2"

SRC_URI="https://github.com/nats-io/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
		 https://www.thenautilus.net/gentoo-tarballs/${P}-deps.tar.xz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
DOCS="CODE-OF-CONDUCT.md  MAINTAINERS.md \
	  GOVERNANCE.md       README.md       TODO.md"

src_prepare() {
	eapply_user
	chmod -R u+w "${HOME}" "${WORKDIR}"
}

src_compile() {
	mkdir build
	ego build -o build ./...
	chmod -R u+w "${HOME}" "${WORKDIR}"
}

src_install() {
	einstalldocs
	dodoc -r conf/simple.conf conf/includes
	dobin build/*
}
